org.apache.fop.afp.svg

## Class AFPTextHandler

- java.lang.Object
- - org.apache.xmlgraphics.java2d.StrokingTextHandler
  - - org.apache.fop.svg.FOPTextHandlerAdapter
    - - org.apache.fop.afp.svg.AFPTextHandler

- All Implemented Interfaces:
    FOPTextHandler, org.apache.xmlgraphics.java2d.TextHandler

      public class AFPTextHandler
      extends FOPTextHandlerAdapter

  Specialized TextHandler implementation that the AFPGraphics2D class delegates to to paint text using AFP GOCA text operations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Font` | `overrideFont` Overriding FontState

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPTextHandler(FontInfo fontInfo, AFPResourceManager resourceManager)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawString(Graphics2D g, String str, float x, float y)` Add a text string to the current data object of the AFP datastream.
    `FontInfo` | `getFontInfo()` Return the font information associated with this object
    `void` | `setOverrideFont(Font overrideFont)` Sets the overriding font.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### overrideFont

          protected Font overrideFont

      Overriding FontState

  - ### Constructor Detail

    - #### AFPTextHandler

          public AFPTextHandler(FontInfo fontInfo,
                                AFPResourceManager resourceManager)

      Main constructor.
      Parameters:
        `fontInfo` - the AFPGraphics2D instance
        `resourceManager` - the AFPResourceManager instance

  - ### Method Detail

    - #### getFontInfo

          public FontInfo getFontInfo()

      Return the font information associated with this object
      Returns:
        the FontInfo object

    - #### drawString

          public void drawString(Graphics2D g,
                                 String str,
                                 float x,
                                 float y)

      Add a text string to the current data object of the AFP datastream. The text is painted using text operations.
      Specified by:
        `drawString` in interface `org.apache.xmlgraphics.java2d.TextHandler`
      Overrides:
        `drawString` in class `org.apache.xmlgraphics.java2d.StrokingTextHandler`

    - #### setOverrideFont

          public void setOverrideFont(Font overrideFont)

      Sets the overriding font.
      Parameters:
        `overrideFont` - Overriding Font to set

Copyright © 2023 Apache Software Foundation. All rights reserved.